Skip to main content
POST
/
products
/
enrich
Add Product for Enrichment
curl --request POST \
  --url https://backend.anglera.com/products/enrich \
  --header 'Content-Type: application/json' \
  --header 'X-Anglera-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "sku": "<string>",
  "sheet_id": "<string>",
  "mapped_data": {},
  "input_source_url": "<string>",
  "update_if_exists": true,
  "auto_enrich": true
}
'
{
  "message": "<string>",
  "updated": true,
  "data": {
    "id": 123,
    "name": "<string>",
    "sku": "<string>",
    "sheet_id": "<string>",
    "status": "<string>"
  }
}
Adds a new product to a sheet. By default, the product is automatically enqueued for enrichment. Set auto_enrich to false to create the product in DRAFT status without triggering enrichment.

Request

curl -X POST "https://backend.anglera.com/products/enrich" \
  -H "X-Anglera-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Frigidaire 36-in Side-by-side Fridge",
    "sku": "FRSS26L3AF",
    "sheet_id": "100",
    "mapped_data": {
      "brand_name": "Frigidaire"
    },
    "input_source_url": "https://example.com/product/123",
    "update_if_exists": true
  }'

Body Parameters

name
string
required
Product display name
sku
string
required
Stock Keeping Unit
sheet_id
string
required
ID of the sheet where this product should be added
mapped_data
object
Key-value pairs to directly map into the product. Keys must match mappable attribute keys — use List Attributes and filter for attributes where mappable is true.
input_source_url
string
URL to scrape directly (bypasses web search)
update_if_exists
boolean
When set to true, the system will match any existing product with the same name and update it in-place
auto_enrich
boolean
default:"true"
When true (default), the product is queued for enrichment immediately. Set to false to create the product with DRAFT status without triggering enrichment. Use Batch Enrich to trigger enrichment later.

Response

message
string
Success message indicating whether the product was created or updated
updated
boolean
true if an existing product was updated, false if a new product was created
data
object
The product data
{
  "message": "Product created and queued for enrichment",
  "updated": false,
  "data": {
    "id": 8231,
    "name": "Frigidaire 36-in Side-by-side Fridge",
    "sku": "FRSS26L3AF",
    "sheet_id": "100",
    "status": "QUEUED"
  }
}